#ifndef TRANSFORMATION_H
#define TRANSFORMATION_H

#include <GL/glew.h>

extern void lookAt(mat4* out, vec3* eye, vec3* look, vec3* up);
extern void perspectiveProjection(mat4* out, GLfloat near, GLfloat far);
extern void normalisedDeviceCoordinates(mat4* out, GLfloat r, GLfloat l, GLfloat t, GLfloat b, GLfloat n, GLfloat f);
extern void normalisedDeviceCoordinatesFov(mat4* out, GLfloat fovy, GLfloat aspectRatio, GLfloat n, GLfloat f);

#endif